Subject: Re: bug#41520: 28.0.50; Crash in character.h due to assertion error

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Sep 2020 18:15:53 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Pip Cet <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 27 Sep 2020 16:36:21 +0200
> 
> > I'm okay with those additional changes, but let's install them on
> > master, as they are a cleanup, not a bug.
> 
> Pip's patch from May no longer applies cleanly, so I've respun it for
> the trunk now.
> 
> Does this still look OK?

Almost.  I'd rather skip this part:

> @@ -882,8 +881,7 @@ back_comment (ptrdiff_t from, ptrdiff_t from_byte, ptrdiff_t stop,
>  	  if (open_paren_in_column_0_is_defun_start
>                && NILP (Vcomment_use_syntax_ppss)
>  	      && (from == stop
> -		  || (temp_byte = dec_bytepos (from_byte),
> -		      FETCH_CHAR (temp_byte) == '\n')))
> +		  || (FETCH_BYTE (from_byte - 1) == '\n')))

It might be that I'm being paranoid here, but I don't like calling
FETCH_BYTE when we are potentially in the middle of a multibyte
sequence or near the gap.

The rest should be fine, thanks.